<?php

namespace Drupal\email_validator;

use Drupal\Component\Utility\EmailValidator;
use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Define a new service provided by EVA.
 */
class EmailValidatorServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    // Override the validation service.
    $definition = $container->getDefinition('email.validator');
    if ($definition->getClass() == EmailValidator::class) {
      $email_validator = $container->getDefinition('email_validator.eva');
      $definition->setClass($email_validator->getClass());
      $definition->setArguments($email_validator->getArguments());
    }
  }

}
